






#ifndef Wagnis_Gameboard_h
#define Wagnis_Gameboard_h

#include "WagnisProvince.h"

#include "OrxonoxPrereqs.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "worldentities/StaticEntity.h"
#include <string>
#include <vector>


namespace orxonox
{
    class WagnisGameboard : public StaticEntity
    {
    public:
        WagnisGameboard(Context*);
        virtual ~WagnisGameboard();

        //XML
        virtual void XMLPort(Element&,XMLPort::Mode);
        void addProvince(WagnisProvince*);
        WagnisProvince* getProvince(unsigned int) const;
        void setConnections_string(const std::string&);
        std::string getConnections_string() const;
        //
        std::string connections_string;
        void initializeNeighbors(std::string);

    
    private:
        std::vector<WagnisProvince*> provs;
        
        int parse_int(std::string,unsigned int);
    };
}


#endif
